package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.bean.api.BannerBean;
import kr.co.zumo.app.lifeplus.model.SignUpModel;
import kr.co.zumo.app.lifeplus.view.Event;
import kr.co.zumo.app.lifeplus.view.fragment.FragmentBase;
import kr.co.zumo.app.lifeplus.view.presenter.signup.ISignUpStartView;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpStartPresenter;

/**
 * SignUpStartOnBoardingFragment
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-09-21]   [최초 작성]
 * @since 2018-09-21
 */
public class SignUpStartOnBoardingFragment extends FragmentBase<SignUpStartPresenter> implements ISignUpStartView {

  @Override
  public void onCreate(@Nullable Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
  }

  @Nullable
  @Override
  public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
    return inflater.inflate(R.layout.fragment_sign_up_start1, container, false);
  }

  @Override
  protected void onAfterActivityCreated(Bundle savedInstanceState) {

    View parent = getView();

    TextView title = parent.findViewById(R.id.text_title);
    TextView description = parent.findViewById(R.id.text_description);

    title.setText(R.string.sign_up_hello_from_on_boarding);
    description.setText(R.string.sign_up_hello_from_on_boarding_detail);

    View buttonAuthorization = parent.findViewById(R.id.button_confirm);
    buttonAuthorization.setOnClickListener(view -> presenter.onEvent(new Event.Builder(Event.SUCCESS).build()));
  }

  @Override
  protected SignUpStartPresenter definePresenter() {
    return new SignUpStartPresenter(getModel(SignUpModel.class), this);
  }


  @Override
  public void drawBanners(ArrayList<BannerBean> beans) {

  }
}
